This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 198675 - xenU kernel crash on first boot
xenU kernel crash on first boot
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-12 14:02 EDT by Robert Hendrickx
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-04 08:07:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert Hendrickx 2006-07-12 14:02:18 EDT
FC5 guest sometimes stuck on first boot (guest started in "autodomains").
After a desctroy and create, no problem anymore.
Guest and Host are FC5 whith last updated kernel (2.6.17-1.2145_FC5xen0 and
2.6.17-1.2145_FC5xenU).
hardware is sempron 2800+, ASUS barebone vintage-ae1
---------------
On the guest console :
[root@dom0 ~]# xm console firewall
BUG: unable to handle kernel NULL pointer dereference at virtual address 00000000
 printing eip:
d909ac27
*pde = ma 1663c067 pa 0e223067
*pte = ma 00000000 pa fffff000
Oops: 0002 [#1]
SMP 
Modules linked in: ipv6 xennet dm_mirror dm_mod
CPU:    0
EIP:    0061:[<d909ac27>]    Not tainted VLI
EFLAGS: 00210046   (2.6.17-1.2145_FC5xenU #1) 
EIP is at backend_changed+0x15c/0x24d [xennet]
eax: 00000000   ebx: d6418400   ecx: d6418498   edx: 00000000
esi: 00000001   edi: 00000000   ebp: 00000101   esp: c07c1f70
ds: 007b   es: 007b   ss: 0069
Process xenwatch (pid: 8, threadinfo=c07c0000 task=c07c4b30)
Stack: <0>c083ce00 d6418000 00000000 d6418498 d6418488 cfa4adc0 c07c0000 cfa4adc0 
       c051d45e c051cdee c083ce00 00000002 00000002 00000000 c051d5aa cfa4adc0 
       00000000 c07c4b30 c0429cd7 c07c1fbc c07c1fbc c00e3e7c c0429c16 00000000 
Call Trace:
 <c051d45e> xenwatch_thread+0x0/0x163  <c051cdee> xenwatch_handle_callback+0x12/0x45
 <c051d5aa> xenwatch_thread+0x14c/0x163  <c0429cd7>
autoremove_wake_function+0x0/0x3a
 <c0429c16> kthread+0xa0/0xcd  <c0429b76> kthread+0x0/0xcd
 <c0402989> kernel_thread_helper+0x5/0xb 
Code: 08 8b 47 60 01 43 18 ff 43 10 45 81 fd 01 01 00 00 0f 85 35 ff ff ff 8b 44
24 08 89 43 68 8b 53 74 be 01 00 00 00 31 ff 8b 43 68 <89> 02 8b 84 b3 f8 04 00
00 3d ff ff ff bf 76 58 8b 80 98 00 00 
EIP: [<d909ac27>] backend_changed+0x15c/0x24d [xennet] SS:ESP 0069:c07c1f70
 <3>BUG: sleeping function called from invalid context at include/linux/rwsem.h:43
in_atomic():0, irqs_disabled():1
 <c04242e2> blocking_notifier_call_chain+0x11/0x48  <c04198d6>
profile_task_exit+0x10/0x14
 <c041b08d> do_exit+0x1b/0x78b  <c040571a> die+0x1c0/0x27b
 <c04057af> die+0x255/0x27b  <c040ee98> do_page_fault+0x0/0x70f
 <c040f4a7> do_page_fault+0x60f/0x70f  <c040ee98> do_page_fault+0x0/0x70f
 <c0404d07> error_code+0x2b/0x30  <d909ac27> backend_changed+0x15c/0x24d [xennet]
 <c051d45e> xenwatch_thread+0x0/0x163  <c051cdee> xenwatch_handle_callback+0x12/0x45
 <c051d5aa> xenwatch_thread+0x14c/0x163  <c0429cd7>
autoremove_wake_function+0x0/0x3a
 <c0429c16> kthread+0xa0/0xcd  <c0429b76> kthread+0x0/0xcd
 <c0402989> kernel_thread_helper+0x5/0xb 
BUG: xenwatch/8, lock held at task exit time!
 [c06083e0] {xenwatch_mutex}
.. held by:          xenwatch:    8 [c07c4b30, 110]
... acquired at:               xenwatch_thread+0x95/0x163
Comment 1 Stephen Tweedie 2007-03-16 11:07:09 EDT
Is this still reproducible on the latest stable release+updates?  Thanks.
Comment 2 Robert Hendrickx 2007-04-01 10:23:22 EDT
Problem don't occurs in FC6 anymore

Note You need to log in before you can comment on or make changes to this bug.